Name:          gsmartcontrol
Version:       0.8.7
Release:       1mamba
Summary:       Hard disk drive health inspection tool
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://gsmartcontrol.berlios.de
Source:        http://download.berlios.de/gsmartcontrol/gsmartcontrol-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libatkmm-devel
BuildRequires: libcairo-devel
BuildRequires: libcairomm-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgtkmm-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libglibmm-devel
BuildRequires: libgtk2-devel
BuildRequires: libpango-devel
BuildRequires: libpangomm-devel
BuildRequires: libpcre-devel
BuildRequires: libsigc++-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GSmartControl is a graphical user interface for smartctl (from smartmontools package), which is a tool for querying and controlling SMART (Self-Monitoring, Analysis, and Reporting Technology) data on modern hard disk drives. It allows you to inspect the drive's SMART data to determine its health, as well as run various tests on it.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/gsmartcontrol
%{_bindir}/gsmartcontrol-root
%{_datadir}/applications/gsmartcontrol.desktop
%dir %{_datadir}/gsmartcontrol
%{_datadir}/gsmartcontrol/*.png
%{_datadir}/icons/hicolor/*/apps/gsmartcontrol.png
%{_mandir}/man1/gsmartcontrol.1*
%{_mandir}/man1/gsmartcontrol-root.1*
%{_datadir}/pixmaps/gsmartcontrol.*
%dir %{_docdir}/gsmartcontrol
%{_docdir}/gsmartcontrol/*
%doc COPYING ChangeLog NEWS README.txt TODO

%changelog
* Sun Sep 02 2012 Automatic Build System <autodist@mambasoft.it> 0.8.7-1mamba
- automatic version update by autodist

* Mon Oct 17 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.6-1mamba
- package created by autospec
